#!/usr/bin/ksh
#############################################################################
#
# Licensed Materials - Property of IBM
#
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#############################################################################
#
# NAME: rejectFixPak
#
#############################################################################

# Initialize current FixPak level
fn_curr_level=""

# Set PROGDIR to the directory where this file is located
CURDIR=`/usr/bin/pwd`
PROGDIR=`/usr/bin/dirname $0`
cd ${PROGDIR?}
PROGDIR=`/usr/bin/pwd`
cd ${CURDIR?}
CMD_SMINST="/usr/lib/instl/sm_inst"
PROGNAME=`/usr/bin/basename $0`       # Program name

# Before doing anything else, check if root is running the prog
if /usr/bin/id | /usr/bin/grep 'uid=0(' > /dev/null; then 
    :
else
    /usr/bin/echo "\n ${PROGNAME?}: You must be root to execute this program."
    /usr/bin/echo " Exiting.... "
    exit 1
fi

#-----------------------------------------------------------------------#
#               Start of function definitions
#-----------------------------------------------------------------------#

# To display the command syntax
syntax ()
{
    /usr/bin/echo ""
    /usr/bin/echo "Usage:  rejectFixPak.sh"
    /usr/bin/echo "        All filesets will be rejected, if in applied state"
    /usr/bin/echo ""
    exit 1
}

#-----------------------------------------------------------------------#
#                End of function definitions
#-----------------------------------------------------------------------#

#-----------------------------------------------------------------------#
#                             Main program
#-----------------------------------------------------------------------#

if [ $? -eq 0 ]; then
    echo "invoke installp on each fileset"
    cat ./UPDATES.list | while read ln
    do
       fn=`echo $ln | awk '{ print $1 }'`
       fn_curr_level=`echo $ln | awk '{ print $2 }'`
       installp -r $fn $fn_curr_level
    done
else
    /usr/bin/echo "Aborting FixPak Un-Install."
    exit 1
fi

